.panel.panel-default{"ng-controller" => "VillageCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Villages
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Name
            %th{:style => "text-align:center;"} Micro Watershed
            %th{:style => "text-align:center;"} Is active
            %th{:style => "text-align:center;"} 
            %th{:style => "text-align:center;"} 
     
        %tbody
          %tr{ "ng-repeat" => "village in data_list "}
            %td{:style => "text-align:center;"} {{ village.name }}
            %td{:style => "text-align:center;"} {{ village.micro_water_shed.name }}
            %td{:style => "text-align:center;"} {{ boolToStr(village.is_active) }}
            %td
              %a{ "ng-click" => "edit(village.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(village.id, village.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr            
            %td
              = text_field_tag :name,'', :class => "form-control", "ng-model" => "vm.name"
            %td
              %select{"ng-model" => "vm.micro_water_shed", "ng-options" => "micro_water_shed.name for micro_water_shed in micro_water_sheds track by micro_water_shed.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.is_active", "ng-options" => "boolToStr(item) for item in [true, false]",:class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
            %td
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel